COS-General

How to select which version of jQuery is included in COS templates?

Last updated: March 28, 2016

Available For:

Product: HubSpot Marketing
Subscription: Basic, Professional, & Enterprise

You have the ability to choose between the latest version of jQuery 1.11.x or version 1.7.1.

This is especially useful if you've already built out your logic using dependencies from an older version of jQuery. Instead of rewriting your script to use updated functions and methods that may have replaced deprecated logic, you can select the 1.7.1 version.

If you choose to use the jQuery 1.11.x version, you can also choose to include a jQuery migrate script for backwards compatibility with older browsers. This script will be included in the <head> tag of your templates.

To choose the jQuery version that's included on your COS Pages, navigate to Content Content Settings and scroll down to the jQuery Version dropdown. 

Select jQuery version
Select jQuery version